use arguments::{Arguments, Commands};
use clap::Parser;
use commands::print;

mod arguments;
mod commands;

fn main() {
	let args = Arguments::parse();

	match &args.command {
		Commands::Print { path, group } => print(path, group)
	}
}
